# Versioned_Namespace.h File Reference

## Defines

#define | ACE_VERSIONED_NAMESPACE_NAME
#define | ACE_BEGIN_VERSIONED_NAMESPACE_DECL
#define | ACE_END_VERSIONED_NAMESPACE_DECL

## Detailed Description

Id
  Versioned_Namespace.h,v 4.5 2005/12/02 09:34:20 ossama Exp

Versioned namespace support.

Useful for preventing conflicts when using a third party library.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

## Define Documentation

#define ACE_BEGIN_VERSIONED_NAMESPACE_DECL

#define ACE_END_VERSIONED_NAMESPACE_DECL

#define ACE_VERSIONED_NAMESPACE_NAME